package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

public enum MatterSourceEnum implements IBaseEnum {

    MANUAL(0, "手动添加", SysConstains.STYLE_DEFAULT),
    AUTO(1, "站点事项", SysConstains.STYLE_DEFAULT);

    private int value;
    private String desc;
    private String style;

    MatterSourceEnum(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
    {
        return style;
    }

    public static MatterSourceEnum getByValue(int value) {
        for (MatterSourceEnum e : MatterSourceEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (MatterSourceEnum item : MatterSourceEnum.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
